local C_Timer = CreateFrame("Frame", "C_Timer")
C_Timer.schedule = {}
C_Timer:SetScript("OnUpdate", function(self, elapsed)
    for timestamp,callback in pairs(self.schedule) do
        if timestamp <= GetTime() then
            callback()
            self.schedule[timestamp] = nil
        end
    end
end)

C_Timer.After = function(duration, callback)
    C_Timer.schedule[GetTime() + duration] = callback
end